﻿.products-page-box{
    display: block;
    position: relative;
    font-size: 0;
    padding-top: 30px;
    padding-bottom: 80px;
    box-sizing: border-box;
}

/*<------ 以下為 路徑 css ------>*/

#products-page .stephanie-path-box{
    width: 1600px;
    max-width: 100%;
    margin: 0 auto;
    padding-bottom: 30px;
}
/*<------ 主要內容 css ------>*/

.products-page-main{
    width: 1600px;
    max-width: 100%;
    margin: 0 auto;
    height: 100%;
    position: relative;
}
.rwd-products-page-main-model-text{
    display: none;
}
/*<------ 以下為 主要內容圖片+slick css ------>*/
.products-page-main-img-box{
    display: inline-block;
    vertical-align: top;
    width: calc(100% - 420px);
    position: relative;
}
.products-page-main-img-small-box{
    width: 102px;
    display: inline-block;
    vertical-align: middle;
    margin-right: 95px;
    position: absolute;
    top: calc(50% - 183px);
    left: 0;
}
.products-page-main-img-small-bc{
    display: block;
    width: 100%;
    height: 102px;
    margin-bottom: 20px;
    cursor: pointer;
    box-sizing: border-box;
    transition: all .5s ease;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url(../img/front/products-page-img-2.jpg);
}
.slick-current .products-page-main-img-small-bc{
    border: 1px solid #d1d1d1
}
.products-page-main-img-big-box{
    width: 800px;
    display: block;
    margin: 0 auto;
    vertical-align: middle;
}
.products-page-main-img-big{
    display: inline-block;
    width: 800px;
    height: 800px;
    vertical-align: middle;
}
/*<------ 以下為 主要內容資訊 css ------>*/
.products-page-main-text-box{
    display: inline-block;
    width: 420px;
    max-width: 100%;
    min-height: 800px;
    background-color: #fff;
    box-sizing: border-box;
    padding: 0 47.5px;
    padding-top: 100px;
    position: relative;
}
.products-page-main-model-text{
    font-size: 32px;
    font-family: 'arial';
    color: #661118;
}
.products-page-main-color-box{
    margin-bottom: 20px;
}
.products-page-main-text-title{
    font-size: 16px;
    color: #000;
    font-family: 'arial';
    margin : 5px 0;
}
.products-page-main-color-title{
    font-size: 18px;
    color: #000;
    line-height: 1;
    margin: 0;
    margin-bottom: 5px;
}
.products-page-main-color-text-box{
    display: block;
    color: #555;
    font-size: 14px;
    font-family: 'arial';
}
.products-page-main-color-img{
    width: 50px;
    height: 50px;
    margin-left: 5px;
    margin-bottom: 5px;
    display: inline-block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.products-page-main-color-img:nth-child(6n + 1){
    margin-left: 0;
}
.products-page-main-text-title span{
    font-size: 16px;
    font-family: 'arial';
    color: #555;
    margin-right: 20px;
    position: relative;
}
.products-page-main-text-title span:after{
    content: '/';
    font-size: 16px;
    display: block;
    position: absolute;
    top: -4px;
    right: -15px;
}
.products-page-main-text-title span:last-child:after{
    content: '';
    font-size: 16px;
    display: block;
}
.products-page-main-availablesize-uk-box,
.products-page-main-availablesize-usa-box{
    border: 1px solid #d1d1d1;
}
.products-page-main-availablesize-uk-box{
    margin-top: 10px;
    margin-bottom: 10px;
}
.products-page-main-availablesize-uk-title,
.products-page-main-availablesize-usa-title{
    font-size: 16px;
    font-family: 'arial';
    color: #000;
    text-align: center;
    box-sizing: border-box;
    padding: 5px 0;
    border-bottom: 1px solid #d1d1d1;
}
.products-page-main-availablesize-uk-text,
.products-page-main-availablesize-usa-text{
    padding: 5px 15px;
    box-sizing: border-box;
    font-size: 14px;
    font-family: 'arial';
    color: #555;
    letter-spacing: 1px;
}
/*<------ 以下為 細節details css ------>*/
.products-page-details-box{
    width: 1200px;
    max-width: 100%;
    margin: 0 auto;
    display: block;
    margin-top: 80px;
}
.products-page-details-title{
    font-size: 30px;
    font-family: 'arial';
}
.products-page-details-edit{
    font-size: 16px;
    font-family: 'arial';
    line-height: 1.6;
    color: #000;
    letter-spacing: 1px;
}
/*<------ 以下為 推薦recommend css ------>*/
.products-page-recommend-box{
    width: 1200px;
    max-width: 100%;
    margin: 0 auto;
    display: block;
    margin-top: 80px;
}
.products-page-recommend-title{
    font-size: 30px;
    font-family: 'arial';
    margin-bottom: 20px;
}

.products-page-recommend-info-box{
    box-sizing: border-box;
    padding-top: 20px;
}
.products-page-recommend-info{
    display: inline-block;
    width: 298px;
    max-width: 100%;
    
    position: relative;
    box-sizing: border-box;
    margin-left: 2px;
    margin-bottom: 2px;
    vertical-align: top;
}
.products-page-recommend-info-box:nth-child(4n + 1){
    margin-left: 0;
}
.products-page-recommend-info-img{
    width: 100%;
    height: 300px;
    overflow: hidden;
    transition: all .3s linear;
}
.products-page-recommend-info-img img{
    transition: all .3s linear;
}
.products-page-recommend-info-text-box{
    width: 100%;
    font-size: 14px;
    color: #555;
    font-family: 'arial';
    box-sizing: border-box;
    padding: 25px;
    text-align: center;
}
.products-page-recommend-info-stylenumber-box{
    margin-bottom: 6px;
    height: 22px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.products-page-recommend-info-material-box{
    height: 22px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.products-page-recommend-info-border{
    display: block;
    width: 100%;
    height: 100%;
    border: 1px solid #661118;
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
    transition: all .3s linear;
    opacity: 0;
}

/*<----------hover---------->*/

.products-page-recommend-info:hover .products-page-recommend-info-border{
    opacity: 1;
}
.products-page-recommend-info:hover .products-page-recommend-info-img img{
    transform: scale(1.1);
}
.products-page-main-color-img.active{
    border: 2px solid #661118;
    box-sizing: border-box;
}

@media only screen and (max-width: 1600px){
    #products-page .stephanie-path-box{
        width: 95%;
    }
    .products-page-main {
        width: 1400px;
    }
    .products-page-main-img-big-box{
        width: 700px;
    }
    .products-page-main-img-big{
        height: 700px;
    }
    .products-page-main-text-box{
        min-height: 700px;
    }
}
@media only screen and (max-width: 1400px){
    .products-page-main {
        width: 1200px;
    }
    .products-page-main-img-big-box{
        width: 600px;
    }
    .products-page-main-img-big{
        height: 600px;
    }
    .products-page-main-img-small-box{
        margin-right: 65px;
    }
    .products-page-main-img-box{
        width: calc(100% - 370px);
    }
    .products-page-main-text-box{
        width: 370px;
        padding: 0 22.5px; 
        padding-top: 100px;
        min-height: 600px;
    }
}
@media only screen and (max-width: 1200px){
    .products-page-main,
    .products-page-details-box,
    .products-page-recommend-box {
        width: 1000px;
    }
    .products-page-main-img-small-box{
        width: 80px;
        margin-right: 25px;
    }
    .products-page-main-img-big-box{
        width: 450px;
    }
    .products-page-main-img-big{
        height: 450px;
    }
    .products-page-main-text-box{
        padding-top: 0;
        min-height: 450px;
        width: 320px;
    }
    .products-page-recommend-info{
        width: 248px;
    }
    .products-page-recommend-info-img{
        height: 250px;
    }
    .products-page-main-text-title{
        margin: 0;
    }
    .products-page-main-img-box{
        width:  calc(100% - 320px);
    }
}
@media only screen and (max-width: 1000px){
    .products-page-main{
        width: 100%;
    }
    .products-page-recommend-box {
        width: 800px;
    }
    .products-page-box{
        padding-top: 63px;
    }
    .products-page-main-img-box{
        width: 800px;
        max-width: 100%;
        margin: 0 auto;
        display: block;
    }
    .products-page-main-text-box{
        width: 100%;
        display: block;
        min-height:inherit;
        padding-top: 20px;
    }
    .products-page-main-model-text{
        display: none;
    }
    .rwd-products-page-main-model-text{
        width: 95%;
        margin: 0 auto;
        font-size: 32px;
        font-family: 'arial';
        color: #661118;
        display: block;
    }
    .products-page-main-img-small-box{
        width: 330px;
        margin: 0 auto;
        display: block;
        position: inherit;
        margin-top: 5px;
    }
    .products-page-main-img-small{
        margin-right: 10px;
    }
    .products-page-main-img-small-bc{
        margin-bottom: 0;
        width: 100px;
    }
    .products-page-main-img-big-box{
        width: 100%;
    }
    .products-page-main-img-big{
        height: 800px;
    }
    .products-page-details-box{
        margin-top: 40px;
        width: 100%;
        padding: 0 20px;
        box-sizing: border-box;
    }
    .products-page-recommend-box{
        margin-top: 40px;
        width: 100%;
        padding: 0 20px;
        box-sizing: border-box;
    }
    .products-page-recommend-info{
        margin: 0;
        margin: 0 5px;
    }
    .products-page-recommend-info-material-box{
        display: none;
    }
    .products-page-recommend-info-img{
        height: 310px;
    }
    .products-page-main-img-small-box{
       
        padding-bottom: 20px;
    }
    .products-page-recommend-info-stylenumber-box .products-page-recommend-info-stylenumber{
        display: block;
    }
    .products-page-recommend-info:hover .products-page-recommend-info-border{
        display: none;
    }
}
@media only screen and (max-width: 800px){
    .products-page-main-img-box{
        width: 600px;
    }
    .products-page-main-img-big{
        height: 600px;
    }
    .products-page-main-img-small-box{
        width: 270px;
    }
    .products-page-main-img-small-bc{
        width: 80px;
        height: 80px;
    }
    .products-page-recommend-info-img{
        height: 250px;
    }
    .products-page-box{
        padding-top: 48px;
    }
}
@media only screen and (max-width: 600px){
    .products-page-main-img-box{
        width: 400px;
    }
    .products-page-main-img-big{
        height: 400px;
    }
    .products-page-recommend-info-img{
        height: 180px;
    }
    .products-page-recommend-info-text-box{
        padding: 10px;
    }
    .products-page-details-title,
    .products-page-recommend-title{
        font-size: 26px;
        margin-bottom: 0;
    }
    .products-page-details-edit{
        font-size: 16px;
    }

}
@media only screen and (max-width: 400px){
    .products-page-main-img-box{
        width: 300px;
    }
    .products-page-main-img-big{
        height: 300px;
    }
    .products-page-main-img-small-box{
        width: 180px;
    }
    .products-page-main-img-small-bc{
        width: 50px;
        height: 50px;
    }
    .products-page-recommend-info-img{
        height: 120px;
    }
    .rwd-products-page-main-model-text{
        font-size: 26px;
    }
    .products-page-main-availablesize-uk-title, .products-page-main-availablesize-usa-title{
        padding: 0;
    }
    .products-page-main-text-box{
        padding: 0 15px;
        padding-top: 20px;
    }
    .products-page-details-box, 
    .products-page-recommend-box{
        margin-top: 20px;
        padding: 0 15px;
    }
    .products-page-details-title,
    .products-page-recommend-title{
        font-size: 22px;
    }
    .products-page-details-edit{
        font-size: 12px;
    }
    .products-page-main-availablesize-uk-text, 
    .products-page-main-availablesize-usa-text{
        padding: 5px 10px;
    }
    .products-page-recommend-info-stylenumber-box{
        height: 66px;
        overflow: hidden;
    }
}



/*animation*/
/*<-------------動畫------------->*/

@keyframes products_page_opacityUp {
    0%{
        opacity: 0;
        transform: translateY(100px);
    }
    to {
        opacity: 1;
    }
}
@keyframes products_page_opacityLeft {
    0%{
        opacity: 0;
        transform: translateX(-100px);
    }
    to {
        opacity: 1;
    }
}
@keyframes products_page_opacityRight {
    0%{
        opacity: 0;
        transform: translateX(100px);
    }
    to {
        opacity: 1;
    }
}
@media only screen and (min-width: 1001px){
    .products-page-main-img-big-box{
        animation: products_page_opacityUp .8s ease 0s 1 both;
    }
    .products-page-main-img-small-box{
        animation: products_page_opacityLeft .8s ease 0s 1 both;
    }
    .products-page-main-text-box{
        animation: products_page_opacityRight .8s ease 0s 1 both;
    }
    .products-page-details-title,
    .products-page-recommend-title,
    .products-page-details-edit,
    .products-page-recommend-info-box{
        opacity: 0;
    }
    .products-page-details-title.active,
    .products-page-recommend-title.active{
        animation: fade .8s ease 0s 1 both;
    }
    .products-page-details-edit.active,
    .products-page-recommend-info-box.active{
        animation: products_page_opacityUp .8s ease 0s 1 both;
    }
}